Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.local
Class LocalSender

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.transport.local.LocalSender

All Implemented Interfaces:
  Handler, java.io.Serializable

public class LocalSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server.

Author:
  Sam Ruby
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`name, options`

Constructor Summary
`LocalSender()`

Method Summary
`void` | `init()` Allocate an embedded Axis server to process requests and initialize it.
`void` | `invoke(MessageContext clientContext)` Must implement this in subclasses.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### LocalSender

    public LocalSender()

Method Detail

### init

    public void init()

  Allocate an embedded Axis server to process requests and initialize it.
  Overrides:
    `init` in class `BasicHandler`

### invoke

    public void invoke(MessageContext clientContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.
  Overrides:
    `invoke` in class `BasicHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.